VisualEditor masks pasted Wikitext with nowikis
Closed, DuplicatePublic

Description

When a user pastes Wikitext (at least that's what I assume happens) from another article, VisualEditor does not detect this as wiki markup but masks it with nowiki tags, which makes for an unusable, hard-to-clean-up mess: Example.

According to other users on de-wp this occurs frequently since VE was enabled as the default for new users, I therefore already requested a new abuse filter to track it.

(I searched and could only find semi-related bugs, so per AKlapper's recommendation I filed this new bug. )

Cirdan created this task.Dec 14 2016, 9:09 PM
Cirdan updated the task description. (Show Details)
matmarex added a subscriber: matmarex.

The edit history is messy, so for anyone else confused: the user copied the wikitext from their sandbox page into a new article, then someone moved and history-merged the sandbox to the new page.

@Cirdan Can you ask the user how they managed to do this? When I try to copy-paste the wikitext from https://de.wikipedia.org/w/index.php?title=Graf_Zeppelins_Boote,_Schiffe_und_schwimmende_Hallen&action=edit&oldid=160613843 into VisualEditor on a new empty page on German Wikipedia, it gets magically converted and rendered visually, and I imagine it would save correctly (without nowikis).

Restricted Application added a subscriber: Luke081515. · View Herald TranscriptDec 14 2016, 9:24 PM

I asked the user and will report their answer.

Elitre added a subscriber: Elitre.Dec 15 2016, 7:28 AM
Cirdan added a comment.EditedDec 15 2016, 9:22 PM

The user replied today.

  • Ich erarbeitete den vollständigen Quelltext des neuen Artikels incl. der vom alten (Luftschraubenboot-)Artikel übernommene Kapitel, prüfte den Text mit "Vorschau" und verließ die nicht gespeicherte Seite über "Abbrechen" spurenlos. Gespeichert wurde nur bei mir selbst auf Worddoku.

I worked out the complete source code of the new article including the parts I took from the old Luftschraubenboot article, checked the text in the preview and then cancelled my edit. I saved everything myself on Worddoku (I believe this means Microsoft Word, let me know if I should clarify this)

Dann bearbeitete ich den Quelltext des Luftschraubenboot-Artikels, brachte den verbleibenden Text auf den gewünschten Stand und löschte die Passagen, die im neuen Artikel übernommen werden. Abspeichen und Info in der Disk'seite.

(Likely not relevant for this bug) I edited the source code of the Luftschraubenboot article, updated the remaining text and removed what I had taken out for the new article. I saved and left a note on the talk page.

Unmittelbar wurde der neue Artkel (Graf Zeppelins ...) über "Erstelle"/Vorschau/Kat./Speichern veröffentlicht, ohne Verschieben und importieren, aber das war mr nicht bewusst.

I then immediately published the new Graf Zeppelins... article using "Create"/Preview/Cat./Save, without moving or importing anything as I didn't know about this

Info über die Umstrukturierunng auf der Disk'seite. Jetzt müssen noch alle Links und Bezüge übeprüft und evt, verbessert werden. Aber selbstverständlich habe ich meine Gründe für die etwas ungewöhnliche Vorgehensweise.

(Likely not relevant for this bug) I left a note regarding the restructuring on the talk page. Now all links and references have to be checked and improved. But of course I have my reasons for working in this way.

I guess that we need to clarify what ''Worddoku'' means and how exactly the text was pasted back, as the VE does not have a preview function (called ''Vorschau'' in German). But before I ask the user again, please let me know what other info you need, so I can ask everything in one go.

Another case was reported, as well as this redirect.

The former seems to be related to copy and paste again, I will ask the user for a description of what they did.

Sorry for late reply. Yes, that would make sense – you copy the plain text from the wikitext editor and paste it into Word. Since Word is a rich text editor, it's now considered rich text (formatted text). Then you copy the formatted text from Word and paste into new wikitext editor, and it sees formatted text and tries to convert that into wikitext, resulting in <nowiki>s.

I think this is a special case of T153315, I'll merge the tasks. Let's continue there.

matmarex reopened this task as Open.Dec 20 2016, 8:39 AM

Actually, perhaps it isn't, sorry. That task is about the new wikitext editor in VE, while this one is actually just about the normal VE. But it is probably caused by formatted text and plain text getting confused.

I don't actually have Word installed to try to reproduce this locally. I can't reproduce with LibreOffice Writer (unless I actually format the pasted wikitext, e.g. make it bold).

@Cirdan Can you also ask the user what browser they are using, and what version of Word?

I suspect you were right with the duplicate marking, Rich text doesn't get matched by the wikitext paste handler.